
Redmine - Defect #11090

Error 500 when clicking on Chinese wiki link on Japanese Windows Ruby 1.9

2012-06-05 04:59 - 超 李

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.4.2

Description

I have builded a redmine web.Wiki's link is failed to be builded.

for example,语言 is a link.But it is link to [not find] web.this is why?

file is the result's picture.

History

#1 - 2012-06-05 10:07 - Etienne Massip

- Subject changed from wiki's link is failed to be builded to Error 500 when clicking on chinese wiki link

- Assignee deleted (Azamat Hackimov)

- Priority changed from High to Normal

- Resolution set to Cant reproduce

I can't reproduce, please check your production.log contents.

#2 - 2012-06-05 10:07 - Etienne Massip

- Category changed from Issues to Wiki

#3 - 2012-06-05 11:29 - 超 李

- File 4.jpg added

- Assignee set to Etienne Massip

#4 - 2012-06-05 11:30 - 超 李

the log is below picture

 4.jpg 

#5 - 2012-06-05 12:12 - Etienne Massip

- Assignee deleted (Etienne Massip)

What's your DB adapter, etc. (see SubmittingBugs for details)?

#6 - 2012-06-05 17:04 - 超 李

my database manager version : mysql 5.1

my Ruby version :ruby 1.9.3

my Rails version : 2.3.14

my Redmine version :1.4.2

#7 - 2012-06-05 19:13 - Etienne Massip

超 李 wrote:

my database manager version : mysql 5.1

 Is that mysql or mysql2? you should use mysql2 adapter.

#8 - 2012-06-06 11:30 - 超 李
thank you to answer.

But,I have change db version to 6.0.I click the chinese link,error 500 still happan.

This is why?

Is it ruby 1.9.3's bug?

#9 - 2012-06-06 11:38 - Etienne Massip

超 李 wrote:

thank you to answer.

But,I have change db version to 6.0.I click the chinese link,error 500 still happan.

 You don't need to update your database management system, the only prerequisite is to use the mysql2 db adapter and not the mysql one and that it

is configured subsequently in your database.yml.

#10 - 2012-06-06 16:13 - 超 李

I have change ruby version from 1.9.3 to 1.8.7,and the bug is soluted.

thank you to your's answer,Mr.Etienne Massip.Please close the issue.

#11 - 2012-06-06 16:14 - 超 李

- Status changed from New to Resolved

#12 - 2012-06-06 16:22 - Toshi MARUYAMA

- Subject changed from Error 500 when clicking on chinese wiki link to Error 500 when clicking on chinese wiki link on Japanese Windows Ruby 1.9

#13 - 2012-06-06 16:25 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Wont fix

It seems you use Japanese Windows.

"Windows-31J" is CP932 on Japanese Windows.

Rails2 on Japanese Windows and Ruby 1.9 has some problems.

I recommend you to use Redmine 1.4 (Rails2) on Ruby 1.8.

#14 - 2012-06-07 11:51 - Toshi MARUYAMA

- Subject changed from Error 500 when clicking on chinese wiki link on Japanese Windows Ruby 1.9 to Error 500 when clicking on Chinese wiki link

on Japanese Windows Ruby 1.9

Files

picture.xls 80.5 KB 2012-06-05 超 李

4.jpg 138 KB 2012-06-05 超 李
